Subject: Re: [Int-area] draft-ietf-intarea-gre-ipv6-07

From: Ronald Bonica <[email-masked]>
Date: Thu, 16 Apr 2015 13:01:51 +0000

Fred,

Inline....

                 Ron

> 
> Message: 1
> Date: Tue, 14 Apr 2015 16:24:00 +0000
> From: "Templin, Fred L" <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Subject: Re: [Int-area] I-D Action: draft-ietf-intarea-gre-ipv6-07.txt
> Message-ID:
> 	<2134F8430051B64F815C691A62D9831832E483BE@XCH-BLV-
> 504.nw.nos.boeing.com>
> 
> Content-Type: text/plain; charset="us-ascii"
> 
> Hi, in Section 3.2 there is now specification for sending a 1280 byte probe
> packet to test the path between the ingress and egress. The stated goal is to
> ensure that a 1280 byte packet can traverse the tunnel without
> fragmentation.
> 
> However, if there are other tunnels on the path from the first tunnel ingress
> toward the corresponding egress, it is possible that another tunnel could be
> fragmenting and reassembling the probe packet before it arrives at the final
> egress. And, fragmentation and reassembly closer to the middle of the
> network is much worse than fragmentation and reassembly nearer the
> edges of the network.
> 
[RPB] 
In that case, configure the inner tunnel so that it can't fragment the delivery packet and configure the outer tunnel so that it can.

> This is why I have proposed a new "Don't Fragment" bit in the GRE header.
> It can be set by the first tunnel ingress to tell other tunnels not to fragment
> the packet that is being used as a probe. Fragmentation and reassembly of
> probe packets must be avoided if we are to avoid fragmentation and
> reassembly of data packets.
[RPB] 
That's a fine idea, but because it isn't backwards compatible, it isn't GRE.

> 
> Also, it might be worth noting that this is not the first time a tunnel loopback
> test packet has been specified. A similar facility is specified in Section 8 of
> RFC5969.
[RPB] 

GRE Liveness testing isn't specified in any RFC, but it has been widely deployed by many vendors for over a decade.

                                                                          Ron

> 
> Thanks - Fred
> [email-masked]
> 
> 
*****

---

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 16 Apr 2015 14:15:11 +0000

Hi Ron,

> -----Original Message-----
> From: Int-area [mailto:[email-masked]] On Behalf Of Ronald Bonica
> Sent: Thursday, April 16, 2015 6:02 AM
> To: [email-masked]
> Subject: Re: [Int-area] draft-ietf-intarea-gre-ipv6-07
> 
> Fred,
> 
> Inline....
> 
>                  Ron
> 
> >
> > Message: 1

There may be more than one levels of nesting. And, when there are multiple
layers of nesting it is better to fragment in the innermost nesting rather than
at outer nestings since the innermost nesting is nearest the edge of the
network and not nearest the core.

> That's a fine idea, but because it isn't backwards compatible, it isn't GRE.

It is GRE. I already told you how the tunnel ingress can run a quick check to
see if the feature is available.

> GRE Liveness testing isn't specified in any RFC, but it has been widely deployed by many vendors for over a decade.

That is fine. But, liveness testing is not quite the same thing as fragmentation
testing.

Thanks - Fred

> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area